import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  registerInfo: `/api/count/user/register`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = 10, ...info } = {}) {
    const res = await this.$axios.$get(api.registerInfo, { skip, limit, ...info });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.registerInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.registerInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.registerInfo}/${id}`, { ...info });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.registerInfo}/${payload}`);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
